Bug 1297912 - flower fails to load BROKER_URL from the provided configuration file
flower fails to load BROKER_URL from the provided configuration file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-flower (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeremy Cline
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 13:40 EST by Jeremy Cline
Modified: 2016-07-10 01:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-flower-0.8.4-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-10 01:58:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Cline 2016-01-12 13:40:59 EST
Description of problem:
The flower documentation states the broker url can be set in the configuration file, but it is not actually making use of this setting.


Version-Release number of selected component (if applicable):
0.8.3-5


How reproducible:
always

Steps to Reproduce:
1. Change the BROKER_URL setting in /etc/flower/config.py
2. Start the application with 'sudo systemctl start flower.service'

Actual results:
Attempts to connect to the default broker.


Expected results:
Attempts to connect to the specified broker.


Additional info:
Upstream bug: https://github.com/mher/flower/issues/507
Comment 1 Jan Kurik 2016-02-24 09:16:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Update System 2016-07-01 22:46:40 EDT
python-flower-0.8.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6708dbd65a
Comment 3 Fedora Update System 2016-07-10 01:58:09 EDT
python-flower-0.8.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.